Last Comment Bug 750366 - [tracking bug] Start producing Android x86 Firefox builds
: [tracking bug] Start producing Android x86 Firefox builds
Status: RESOLVED FIXED
[android][waiting on dep bugs]
:
Product: Release Engineering
Classification: Other
Component: General Automation (show other bugs)
: other
: x86_64 Linux
: P4 normal (vote)
: ---
Assigned To: Kim Moir [:kmoir] back Sept 6
: Chris AtLee [:catlee]
Mentors:
Depends on: 723713 756816 757909 820592 820600 820882 822653
Blocks: mobile-automation
  Show dependency treegraph
 
Reported: 2012-04-30 11:13 PDT by Mark Finkle (:mfinkle) (use needinfo?)
Modified: 2013-08-12 21:54 PDT (History)
22 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Mark Finkle (:mfinkle) (use needinfo?) 2012-04-30 11:13:25 PDT
In an effort to become more compatible with Android running on x86 hardware, we'd like to create build-only automation. This would NOT unclude tests. To start, we'd only like to get builds. We can add tests later, as we become more active on Android x86 hardware.
Comment 1 Makoto Kato [:m_kato] 2012-04-30 17:45:16 PDT
Mark, breakpad doesn't work on Android/x86 (it is build error).   Should we disable it into configure.in until supporting it?
Comment 2 Makoto Kato [:m_kato] 2012-04-30 17:56:07 PDT
And, we need NSPR 4.9.1 for x86 build.  Current m-c is 4.9.
Comment 3 Chris AtLee [:catlee] 2012-05-09 06:04:55 PDT
From channel meeting discussions yesterday this is much lower priority than other work on our plate right now - https://wiki.mozilla.org/Firefox/Channels/Meetings/2012-05-08#RelEng
Comment 4 Ted Mielczarek [:ted.mielczarek] 2012-05-19 12:35:50 PDT
There are still a few kinks to be worked on here anyway: bug 723713
Comment 5 Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-05-23 10:58:28 PDT
I have done a rough patch that could work off the bat.

If one of you could land the mozconfig changes for this build I could give it a shot on staging whenever I have a change.

For reference, Android uses this:
http://hg.mozilla.org/mozilla-central/file/default/mobile/android/config/mozconfigs/android/nightly
Comment 6 Ted Mielczarek [:ted.mielczarek] 2012-05-23 11:19:59 PDT
bug 757909 is adding mozconfigs, but there are other issues that make these builds not work yet, so we'll have to fix those first.
Comment 8 Ted Mielczarek [:ted.mielczarek] 2012-06-01 07:58:28 PDT
This appears to not have used the right mozconfig:
retry: Calling <function run_with_timeout at 0xb7d450d4> with args: (['bash', '-c', 'if [ -f "mobile/android/config/mozconfigs/android/nightly" ]; then                        echo Using in-tree mozconfig;                        cp mobile/android/config/mozconfigs/android/nightly .mozconfig;                    else                        echo Downloading mozconfig;                        wget -O .mozconfig http://hg.mozilla.org/build/buildbot-configs/raw-file/production/mozilla2/android/mozilla-central/nightly/mozconfig;                    fi'], 1260, None, None, False, True), kwargs: {}, attempt #1

In any event, these builds won't work on tinderbox until we fix the bugs blocking this one.
Comment 9 Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-06-01 09:22:26 PDT
I tried again and it failed on compilation:
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTest/1338566356.1338567051.24230.gz
Comment 10 Ted Mielczarek [:ted.mielczarek] 2012-06-01 09:30:41 PDT
Ok, that makes more sense. You're hitting bug 756816 there.
Comment 11 Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-06-06 10:56:15 PDT
For now I will assign myself until we're closer for me to test it.
Comment 12 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2012-09-07 08:57:12 PDT
per meeting w/blassey yesterday:

1) We agree this remains much lower priority then armv6 (on apc.io) or android4.0 (on pandas).

2) This bug (and dep bugs) are on hold until the higher priority projects are completed. Blassey + I will revisit this in late Oct... or sooner if all goes well.
Comment 13 Thomas Stache 2012-10-25 05:29:45 PDT
Motorola now sells the x86 "Razr i" in Europe, which has a lot of fans for small size, good performance and reasonable price. Firefox is one of only 3 apps frequently missed (Flash/AIR, Shazam the others).
Comment 14 Thomas G Eaton 2012-10-25 08:31:44 PDT
It looks like an unlocked one can be ordered here if needed in the US. http://www.expansys-usa.com/motorola-razr-i-intel-atom-android-smartphone-unlocked-237359/

There is also the Orange San Diego in Europe that has Intel in it that has a much more resonable price than the Razr i.  
http://support.mozilla.org/en-US/questions/934783

There's the Xolo in India. http://xolo.in/

There's one available from a russian carrier as well.  http://www.anandtech.com/show/6179/intels-medfield-reference-design-picked-up-by-russias-megafon
Comment 15 Scoobidiver (away) 2012-11-24 05:38:36 PST
Now that the ARMv6 support is done, is it possible to start working on x86? Indeed, Motorola Razr i will be under many European Christmas trees.
Comment 16 Ted Mielczarek [:ted.mielczarek] 2012-11-24 08:43:43 PST
We were blocked on bug 756816, which may have been fixed by the switch to our new build slaves using mock, but that change made the newer version of the NDK (required to build for x86) unavailable without further changes, so we haven't been able to test. This is very low on RelEng's list of priorities so nobody has looked at it.
Comment 17 Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-11-26 06:10:22 PST
I know that mobile still wants this and have loaned a mock slave to see what is needed to get this going.
Comment 18 Kim Moir [:kmoir] back Sept 6 2012-12-14 14:58:16 PST
I'll land the changes for this in bug 820592 + reconfig on Monday.  Today was busy deploying new pandas for Android.
Comment 20 Aissen 2012-12-20 01:59:47 PST
I just installed Nightly: fennec-20.0a1.multi.android-i386.apk	19-Dec-2012 13:45 	23M, and it's working well.
I consider this bug solved. Next step: Firefox on Play Store.
Comment 21 Chris Cooper [:coop] 2012-12-21 11:57:15 PST
(In reply to Aissen from comment #20)
> I just installed Nightly: fennec-20.0a1.multi.android-i386.apk	19-Dec-2012
> 13:45 	23M, and it's working well.
> I consider this bug solved. Next step: Firefox on Play Store.

While I appreciate the enthusiasm, this is marked as a tracking bug for a reason. There are many other steps required before we're ready for the Play Store.
Comment 22 Kim Moir [:kmoir] back Sept 6 2013-02-08 07:49:16 PST
Can this bug be closed?  We can open a new tracking bug with the changes required to put Android x86 tests into production once the infrastructure is ready.
Comment 23 Ted Mielczarek [:ted.mielczarek] 2013-02-11 07:05:53 PST
Per comment 0 this was only about builds, so this could have been marked FIXED a while ago.

Note You need to log in before you can comment on or make changes to this bug.